[Numpy-discussion] ppgplot 1.3 with numpy 1.3.0

Scott Ransom sransom@nrao....
Mon Jun 21 11:56:04 CDT 2010


I have an updated version of ppgplot.c as part of a larger astronomical 
package.  You can get the ppgplot code here:

http://github.com/scottransom/presto/tree/master/python/ppgplot_src/

Scott

On Monday, June 21, 2010 12:32:37 pm Jun Liu wrote:
> follow http://www.dur.ac.uk/physics.astrolab/ppgplot.html, I installed
> pgplot with gfortran and ppgplot (ported to numpy), everything seems
> Ok. But when I tried a simple test, it raise an unplesent warning:
> DeprecationWarning: PyArray_As1D: use PyArray_AsCArray
> Here is my test code:
> 
> import ppgplot
> import numpy as np
> x=np.arange(0,3,0.04)
> y = x**2
> ppgplot.pgbeg()
> ppgplot.pgenv(0,4,0,10,0,0)
> ppgplot.pgline(x,y)
> ppgplot.pgend()
> 
> ps: I use Ubuntu 10.04, and python 2.6.5 without numarray package
> installed. And ppgplot works well with Numeric 24.2
> 
> Could anyone help to fix this problem?
> 
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion

-- 
Scott M. Ransom            Address:  NRAO
Phone:  (434) 296-0320               520 Edgemont Rd.
email:  sransom@nrao.edu             Charlottesville, VA 22903 USA
GPG Fingerprint: 06A9 9553 78BE 16DB 407B  FFCA 9BFA B6FF FFD3 2989


More information about the NumPy-Discussion mailing list